Google 將在 Android Q 禁止運行支援老舊版本作業系統的應用程式

Google 所 推出的 Android 平台因其自由的開放性,是目前所有廠商的主流作業系統,但也因為現代人手機使用壽命的拉長,導致 Android 碎片化的問題一直難有大幅突破,為了能加速整合,Google 預計將在下一代的 Android Q 上禁止運行支援老舊版本作業系統的應用程式。
 Android Q
※圖片來源:XDA-Developers

Google 將在 Android Q 禁止運行支援老舊版本作業系統的應用程式

誠如前言所述,Android 作業系統的自由與開放,讓 Google Play 商店中的第三方應用程式百花齊放,這既是優點亦是缺點,大量的應用程式中難免會有品質參差不齊的狀況出現,對作業系統版本的支援性也五花八門。從今年 8/1 起,所有在 Google Play 商店提出上架申請的應用程式都必須合乎 API 等級 26 (支援 Android 8.0)以上,Google 也將在今年 11 月開始下架所有未達標準的應用程式。

根據國外媒體 XDA-Developers 的報導中表示在最新的 AOSP 程式原始碼中發現了針對下一版本 Android Q 的限制出現,其中包含一項警告提示,在運行任何應用程式時,系統都將檢查其 API 級別,如果低於或等於 23 (之前限制為 17,也就是 Android 4.2 Jelly Bean ),也就是支援Android 5.0 或更舊版本,都將出現可能無法運行該應用程式的提示訊息。為何會選定為 Android 5.0 為基準線呢?由於 Android 6.0 之後的版本在安全性上的提升讓不肖人士更難以取得使用者的隱私資訊,對使用者的安全性威脅大幅減少。

※圖片來源:XDA-Developers

有鑑於近日推出的 《Fornite》為了試圖避免 30% 的收益分享,Epic Games 選擇不在 Google Play 商店上架,而它所設定的目標支援系統最低是  Android 5.0 Lollipop,這意味著一旦使用者在應用安裝過程中點擊確認就可以獲得一攬籮筐權限 ,這已被證明是一種安全隱憂,Google 這項新策略也可能是希望能在下一個 Android 版本中遏止同樣的狀況再度發生。

◎資料來源:XDA-DevelopersSlash Gear 

您也許會喜歡:

【期間限定】4G輕速吃到飽百元有找!

最新科技新聞不漏接,設定電腦王阿達搶先看